# Interface GenericAbortSignal

interface GenericAbortSignal {
aborted : boolean;
addEventListener ?: (...args: any) => any;
onabort ?: null | ((...args: any) => any);
removeEventListener ?: (...args: any) => any;
}

- Defined in node_modules/axios/index.d.ts:235

##### Index

### Properties

aborted
addEventListener?
onabort?
removeEventListener?

## Properties

### `Readonly` aborted

aborted: boolean

- Defined in node_modules/axios/index.d.ts:236

### `Optional` addEventListener

addEventListener?: (...args: any) => any

- Defined in node_modules/axios/index.d.ts:238

### `Optional` onabort

onabort?: null | ((...args: any) => any)

- Defined in node_modules/axios/index.d.ts:237

### `Optional` removeEventListener

removeEventListener?: (...args: any) => any

- Defined in node_modules/axios/index.d.ts:239